:root {
    /*HEADER*/
    --header-navbar-menu-a-color: #000;
    --header-navbar-menu-a-hover-color: #0d6efd;
    --header-book-appointment-btn-bg-color: #ad1a25;
    --header-book-appointment-btn-bg-hover-color: #860e17;
    --header-book-appointment-btn-text-color: #ffffff;
    /*LANDING*/
    --landing-wrapper-bg-color: #ffffff;
    --landing-doctor-section-bg-color: #0A192F;
    --landing-doctor-section-text-color: #ffffff;
    --landing-doctor-section-img-border-color: #01A92E;
    --landing-doctor-section-degree-color: #01A92E;
    --landing-doctor-section-p-color: #cbd5e1;
    --landing-form-section-h3-color: #0A192F;
    --landing-form-section-input-group-label-color: #475569;
    --landing-form-section-input-group-input-or-select-border-color: #e2e8f0;
    --landing-form-section-input-group-input-or-select-bg-color: #f8fafc;
    --landing-form-section-input-group-input-or-select-focus-color: #01A92E;
    --landing-form-section-input-group-input-or-select-focus-bg-color: #ffffff;
    --landing-form-section-submit-btn-bg-color: #01A92E;
    --landing-form-section-submit-btn-bg-hover-color: #019027;
    --landing-form-section-submit-btn-text-color: #ffffff;
    /*LANDING BLOG*/
    --landing-blog-section-bg-color: #f8fafc;
    /*FOOTER*/
    --footer-bg-color: #0f172a;
    --footer-text-color: #cbd5e1;
    --footer-a-color: #ffffff;
    --footer-a-hover-color: #38bdf8;
    /*NOTICES*/
    --notices-bg-color: #F7F5F2;
    --notices-text-color: #1E1919;
    --notices-hover-color: #EFECE7;
    --notices-h5-color: #1E1919;
    --notices-p-color: #1E1919;
    --notices-i-hover-color: gold;
    /*NOTICE-DETAILS*/
    --notice-details-section-btn-bg-color: #EFECE7;
    --notice-details-section-btn-hover-color: #EFECE7;
    --notice-details-section-btn-text-color: #1E1919;
    --notice-details-bg-color: #F7F5F2;
    --notice-details-title-color: #1E1919;
    --notice-details-description-color: #1E1919;
    --notice-details-documents-a-color: #3A7AFE;
    /*BLOGS*/
    --blogs-h5-color: #1E1919;
    --blog-section-bg-color: #F7F5F2;
    --blog-section-p-color: #1E1919;
    /*BLOG-DETAILS*/
    --blog-details-section-color: #333;
    --blog-details-section-text-color: #1E1919;
    --blog-details-section-blog-meta-color: #777;
    --blog-details-section-blog-meta-i-color: #3A7AFE;
    --blog-details-section-h2-color: #1E1919;
    --blog-details-section-p-color: #1E1919;
    --blog-details-section-btn-bg-color: #EFECE7;
    --blog-details-section-btn-hover-color: #EFECE7;
    --blog-details-section-btn-text-color: #1E1919;
    /*SYSTEM-CONFIG*/
    --system-config-weekly-off-card-header-color: #fff;
    --system-config-daily-card-header-color: #fff;
    /*SIGN IN*/
    --signup-text-color: #1E1919;
    --signup-a-color: #dc2626;
    --signup-a-hover-color: #b91c1c;
    /*SIGN UP*/
    --signin-text-color: #1E1919;
    --signin-a-color: #dc2626;
    --signin-a-hover-color: #b91c1c;
    /*USER-PROFILE*/
    --profile-card-bg-color: #ffffff;
    --profile-card-text-color: #1E1919;
    --profile-card-mobile-row-bg-span-color: #F3F4F6;
    --profile-card-mobile-row-text-span-color: #1E1919;
    --profile-card-btn-bg-color: #3A7AFE;
    --profile-card-btn-text-color: #fff;
    /*PAGINATION*/
    --pagination-wrapper-bg-color: #F7F5F2;
    --pagination-wrapper-text-color: #1E1919;
    --pagination-wrapper-select-focus-border-color: #A0A0AA;
    --pagination-wrapper-pagination-page-item-page-link-bg-color: #F7F5F2;
    --pagination-wrapper-pagination-page-item-page-link-text-color: #1E1919;
    --pagination-wrapper-pagination-page-item-page-link-hover-bg-color: #A0A0AA;
    --pagination-wrapper-pagination-page-item-page-link-hover-text-color: white;
    --pagination-wrapper-pagination-page-item-active-page-link-bg-color: #A0A0AA;
    --pagination-wrapper-pagination-page-item-active-page-link-border-color: #A0A0AA;
    --pagination-wrapper-pagination-page-item-active-page-link-text-color: white;
    /*LANDING NOTICE SECTION*/
    --landing-notice-section-bar-bg-color: #0A192F;
    --landing-notice-section-bar-text-color: #FFFFFF;
    --landing-notice-section-notice-more-text-color: #FFD166;
    --landing-notice-section-notice-more-hover-text-color: #FFC233;
    /*LANDING BLOG SECTION*/
    --landing-blog-section-blog-card-bg-color: #F7F5F2;


    --dark-brown: #1E1919; /* Very dark brown / almost black */
    --white: #FFFFFF; /* White */
    --cool-gray: #9CA3AF; /* Cool gray / slate gray */
    --light-warm-gray: #F7F5F2; /* Light warm gray / off-white */
    --dark-warm-gray: #EEE9E2; /* Dark warm gray / off-white */
    --light-beige: #EFECE7; /* Light beige / soft grayish cream */
    --cool-navy-blue: #6679FF; /* Cool Navy Blue */
    --cool-navy-blue-hover: #5261CC;
    --bright-orange: #FF7A01; /* Bright Orange */
    --bright-orange-hover: #E56C00;
    --danger-red: #dc2626; /* primary red */
    --danger-red-hover: #b91c1c; /* hover red */
    --light-gray: #faf7f7; /* Light Gray */
    --light-gray-hover: #C0C0C0;
    --soft-fuchsia: #F560EF; /* Soft Fuchsia */
    --soft-fuchsia-hover: #D94FD1; /* ~15% darker */
    --primary-lavender-purple: #AA55E8;
    --primary-lavender-purple-hover: #8F47C1; /* ~15% darker */
    --warm-peach: #FFA24D;
    --warm-peach-hover: #E0883F; /* ~15% darker */
    --golden-yellow: #FFD919;
    --golden-yellow-hover: #E5BF15; /* ~15% darker */
    --deep-navy-blue: #273377;
    --deep-navy-blue-hover: #1E285E; /* ~15% darker */
    --fresh-green: #43D269; /* Fresh Green */
    --fresh-green-hover: #39BD5C;
    --light-green: #B4DC19; /* Light green */
    --light-green-hover: #9CC213; /* Slightly darker hover */
    --navy-blue: #1A1A80; /* Deep navy blue */
    --navy-blue-hover: #13135E; /* Darker navy blue */
    --green: #619620; /* Olive green / dark green */
    --green-hover: #3F6116; /* Deep balanced green */
    --lavender-purple: #A75BF5;
    --lavender-purple-hover: #7043A1;
    --soft-lavender-mist: #E4DFFE;
    --soft-lavender-mist-hover: #79729D;
    --pale-lilac-frost: #E2CFFE;
    --pale-lilac-frost-hover: #E7CAFF;
    --ice-gray: #ECEFF5;
    --ice-gray-hover: #B8CBE7;
    --dark-neutral: #313133; /* Primary button background (dark neutral) */
    --dark-neutral-hover: #1F1F21; /* Darker shade for hover state */
    --soft-pink: #EBC3D8; /* Secondary button background (soft pink) */
    --soft-pink-hover: #D49AB0; /* Darker shade (~15%) for hover state */
    --primary-color: #3A7AFE; /* Bright soft blue */
    --secondary-color: #1C1C1E; /* Almost black / very dark gray */
    --accent-color: #A0A0AA; /* Muted gray / cool medium gray */
    --surface-color: #F4F3F1; /* Soft neutral / light gray-beige */
    --pure-blue-color: #0000FF; /* Pure vivid blue */
    --success-color: #4BB543; /* Medium green / soft success green */
    --dark-success-color: #218838; /* Dark green */
    --primary-success-color: #01A92E;
    --primary-success-hover-color: #017a28;
    --warning-color: #FFB020; /* Amber / warm yellow-orange */
    --danger-color: #E55353; /* Soft red / muted red */
    --info-color: #3BC9DB; /* Calm cyan / bright light blue */
    --light-soft-gray: #E2E0DC; /* Light soft gray */
    --gold: gold; /* Gold */
    --gold-hover: goldenrod; /* Goldenrod */
    --hover-color: #316FE0; /* Medium blue / slightly darker primary */
    --very-soft-cream: #ECEBE9; /* Light gray / very soft cream */
    --very-light-gray: #EAE8E4; /* Very light gray */
    --very-light-cream: #F9F8F6; /* Very light cream / off-white */
    --pure-white: #E0F7FA; /* Soft Aqua */
    --soft-light-gray-blue: #F0F4F8; /* Soft light gray-blue, neutral and airy */
    --cool-gray-hover: #E5E7EB; /* Cool Gray (Hover) */
    --pinkish-gray: #F1EBEB; /* Pinkish-gray */
    --bg-soft-blue: #f4f6fb;
}

html, body {
    height: 100%;
}

body {
    font-family: 'Segoe UI', sans-serif;
    background-color: #f8f9fa;
    display: flex;
    flex-direction: column;
}

main {
    flex: 1 0 auto;
}

.navbar {
    background-color: #ffffff;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.05);
    padding-top: 10px;
    padding-bottom: 10px;
}

.navbar .social-icons a {
    color: #0a192f;
    margin-left: 15px;
    font-size: 1rem;
    transition: color 0.3s;
}

.navbar .social-icons a:hover {
    color: #00bcd4;
}

.hero {
    background-color: #0a192f;
    color: white;
    padding: 80px 20px 100px;
    text-align: center;
}

.booking-form-wrapper {
    padding: 0 15px;
}

.booking-form {
    background: white;
    border-radius: 12px;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.05);
    padding: 30px;
    max-width: 600px;
    margin: 0 auto;
}

.edit-icon {
    font-size: 1rem;
    color: gray;
    cursor: pointer;
    transition: color 0.3s ease;
}

.edit-icon:hover {
    color: #007bff;
}


.delete-icon {
    font-size: 1rem;
    color: #d41414;
    cursor: pointer;
    transition: color 0.3s ease;
}

.delete-icon:hover {
    color: red;
}

.eye-icon {
    font-size: 1rem;
    cursor: pointer;
    color: #0056b3;
    transition: color 0.3s ease-in-out, transform 0.2s ease-in-out;
}

.eye-icon:hover {
    color: #007bff;
    transform: scale(1.1);
}


/*footer {*/
/*    !*background-color: var(--primary-color);*!*/
/*    color: #ccc;*/
/*    padding: 30px 0;*/
/*}*/

/*footer a {*/
/*    color: #ccc;*/
/*    text-decoration: none;*/
/*    margin: 0 10px;*/
/*}*/

/*footer a:hover {*/
/*    color: #fff;*/
/*}*/

/*.footer-divider {*/
/*    border-top: 1px solid #334155;*/
/*    margin: 20px 0;*/
/*}*/

@media (max-width: 576px) {
    .hero h1 {
        font-size: 1.8rem;
    }

    .booking-form {
        padding: 20px;
    }
}